Skip to content

List Audit Events

GET
/v1/audit/events
curl --request GET \
--url 'https://example.com/v1/audit/events?limit=50' \
--header 'X-FractalOps-Tenant-Id: example'
event_type
Any of:
string
resource_type
Any of:
string
resource_id
Any of:
string
limit
Limit
integer
default: 50 >= 1 <= 200
x-api-key
Any of:
string
X-FractalOps-Tenant-Id
required
X-Fractalops-Tenant-Id
string

Successful Response

Media typeapplication/json
AuditEventListOut
object
items
Items
Array<object>
AuditEventOut
object
tenant_id
required
Tenant Id
string
id
required
Id
string
event_type
required
Event Type
string
severity
required
Severity
string
Allowed values: info warning error
actor_type
required
Actor Type
string
actor_id
Any of:
string
resource_type
Any of:
string
resource_id
Any of:
string
payload
required
Payload
object
key
additional properties
any
created_at
required
Created At
string format: date-time
Example
{
"items": [
{
"severity": "info"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}